SDL_GetNumJoystickHats(3)

NAME
SDL_GetNumJoystickHats - Get the number of POV hats on a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetNumJoystickHats(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    an SDL_Joystick
     structure containing joystick information.

RETURN VALUE
Returns the number of POV hats on success or -1 on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetJoystickHat(3), •(3), SDL_GetNumJoystickAxes(3), •(3), SDL_GetNumJoystickBalls(3), •(3), SDL_GetNumJoystickButtons(3)